<?
### Версия ПО (ДМ) 1.0.0.0 ( (c)2018 MISOFT Продукт защищен регистрацией патента и авторских прав! www.misoft.studio )
######################################################################################################################

  session_start();
  if ( !isset( $_SESSION['iduser'] ) ) exit();
  define( 'MISOFT', true );
  define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
  include_once ROOT_DIR . '/engine/config.php';
  include_once ROOT_DIR . '/engine/function.php';

  if ( !$config_user['activate'] ) {
    echo '<div class="error" style="width: 90%; margin: 10px auto; text-align: center">Для продолжения, Вам необходимо активировать свой аккаунт.<br /><a href="https://'.$config_site['site_url'].'/profile" class="a_box" >перейти в аккаунт</a></div>';
    exit();
  }

  #Определяем страну 
  $regcode = find_country();

  #Запрос выборки
  $get_serf = mysql_query( "SELECT * FROM autodynlink t1  WHERE t1.paused = 1 and NOT EXISTS ( SELECT ident FROM autodynlink_temp t2 WHERE t1.id = t2.ident and t2.iduser = '" . $_SESSION['iduser'] . "' ) and NOT EXISTS ( SELECT ident FROM autoserf_ban_url t3 WHERE t1.id = t3.ident and t3.iduser = '" . $_SESSION['iduser'] . "' ) and id IN (SELECT id FROM autodynlink WHERE geo_ru = '".$regcode."' OR geo_ua = '".$regcode."' OR geo_by = '".$regcode."' OR geo_kz = '".$regcode."' OR geo_ge = '".$regcode."' OR geo_md = '".$regcode."' OR geo_am = '".$regcode."' OR geo_tj = '".$regcode."' OR geo_az = '".$regcode."' OR geo_uz = '".$regcode."' OR geo_pt = '".$regcode."' OR geo_es = '".$regcode."' OR geo_ee = '".$regcode."' OR geo_lv = '".$regcode."' OR geo_lt = '".$regcode."' OR geo_us = '".$regcode."' OR geo_gb = '".$regcode."' OR geo_fr = '".$regcode."' OR geo_de = '".$regcode."' OR geo_cn = '".$regcode."' OR geo_it = '".$regcode."' OR geo_all = '".$regcode."') LIMIT 1" );

  if ( mysql_num_rows( $get_serf ) < 1 ) {
    ?>
	  <link rel="icon" href="https://<?=$config_site['site_url']?>/favicon.ico" type="image/x-icon" />
	  <link rel="shortcut icon" href="https://<?=$config_site['site_url']?>/favicon.ico" type="image/x-icon" />
	  <link media="all" type="text/css" rel="stylesheet" href="https://<?=$config_site['site_url']?>/theme/css/style.css" />
      <link href="https://<?=$config_site['site_url']?>/dist/css/bootstrap.css" rel="stylesheet">
	  <link rel="stylesheet" href="/font-awesome/css/font-awesome.min.css">
	  <script type="text/javascript" src="https://<?=$config_site['site_url']?>/dist/js/bootstrap.js"></script>
	  <script type="text/javascript" src="https://<?=$config_site['site_url']?>/theme/js/jquery.js"></script>
	  <style type="text/css">
		body {
		  background: #FCFCFC;
		}
	  </style>
	  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	  <title><?=$config_site['sitename']?> - система раскрутки сайтов</title>
	  <script type="text/javascript">
	    var time_reset = 60;
		
		function start_time2() {  
		  time_reset--;
		  $('#time_reset_text').html('До автообновления осталось: '+time_reset+' секунд').addClass('time_reset_active');
		  if(time_reset < 1) {
			location.reload();  
	      }
		  <? unset( $_SESSION['timer_serf'] ); ?>
		}

		function start_time() {
		  act = setInterval('onactive()', 1000);
		}

		function onactive() {
		  clearInterval(act);
		  tm = setInterval('start_time2();', 1000);
		}
		
	  </script>
	  <body onload="start_time();">
	    <div style="display: table; margin: 0 auto;" onload="iframe_time2();">
		  <div class="card text-xs-center" style="margin: 150px 0 0 0;">
		    <div class="card-header">
			  Авто-серфинг закончен, на данный момент сайтов для просмотра нет!
		    </div>
		    <div class="card-block">
			  <h4 class="card-title">Статистика за сегодня (<? echo date( 'd.m.Y', time() ); ?>)</h4>
			  <p class="card-text">Заработано: <?=$config_user['autoserf_sum']?> <? echo iconv('windows-1251','UTF-8',$config['valutaname']); ?> Просмотрено ссылок: <?=$config_user['autoserf_kolvo']?></p>
			  <a href="https://<?=$config_site['site_url']?>/addautodyn" class="btn btn-primary">Добавить сайт</a>
		    </div>
		    <div class="card-footer text-muted" id="">
			  <div class="time_reset_active" id="time_reset_text">До автообновления осталось: 60 секунд</div>
		    </div>
		  </div>
	    </div>
	  </body>
	<?
    exit();
  } else {
	
	$get_serf_row = mysql_fetch_array( $get_serf );
	
	#если стоит функция только для свободных рефералов
	if ( $get_serf_row['freeid'] and $config_user['referer'] != 0 ) exit();
	
	#Проверяем на разрушение фрейма
	$getframe = check_frame( $get_serf_row['url'] );
	if ( $getframe == 'no' ) {
	  $dyn_url = '';
	} else {
	  $dyn_url = $get_serf_row['url'];
	}
	
	switch ( $get_serf_row['timer'] ) {
	  case 0: $serf_timer = '10'; $stymer = $config['autodyn10']; break;
	  case 1: $serf_timer = '20'; $stymer = $config['autodyn20']; break;
	  case 2: $serf_timer = '30'; $stymer = $config['autodyn30']; break;
	  case 3: $serf_timer = '40'; $stymer = $config['autodyn40']; break;
	  case 4: $serf_timer = '50'; $stymer = $config['autodyn50']; break;
	  case 5: $serf_timer = '60'; $stymer = $config['autodyn60']; break;
	}
	
	if ( $get_serf_row['balance'] < $stymer ) {
	  exit();
	}
	
	#Запрещаем просмотр серфинга в несколько окон
	function dynurl () {
	  if ( strpos( $_SERVER['REQUEST_URI'], 'auto1' ) == 1 ) {
		if ( $_SESSION['timer_serf'] > time() ) {
		  exit();
		}
	  }
	}
	
	dynurl();
	
	?>
	  <!DOCTYPE html>
	  <html>
		<head>
		  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		  <title><?=$config_site['sitename']?> - система раскрутки сайтов</title>
		  <link rel="icon" href="https://<?=$config_site['site_url']?>/favicon.ico" type="image/x-icon" />
		  <link rel="shortcut icon" href="https://<?=$config_site['site_url']?>/favicon.ico" type="image/x-icon" />
		  <link media="all" type="text/css" rel="stylesheet" href="https://<?=$config_site['site_url']?>/theme/css/style.css" />
		  <link href="https://<?=$config_site['site_url']?>/dist/css/bootstrap.css" rel="stylesheet">
		  <link rel="stylesheet" href="/font-awesome/css/font-awesome.min.css">
		  <script type="text/javascript" src="https://<?=$config_site['site_url']?>/dist/js/bootstrap.js"></script>
		  <script type="text/javascript" src="https://<?=$config_site['site_url']?>/theme/js/jquery.js"></script>
		  <script type="text/javascript">
			//высота браузера
			function windowHeight() {
			  return document.compatMode=='CSS1Compat'?document.documentElement.clientHeight:document.body.clientHeight;
			}

			$(document).ready(function() {
			  $('#framesite').css({height: windowHeight () - 78});
			});

			var tm, act;
			var t = <?=$serf_timer?>;
			var tg = -0;
			var tgs = 100/<?=$serf_timer?>;
			var v_time = <?=$serf_timer?>;
			clearInterval(tm);
			var active = false, inactive = false;
			$(window).focus(function(){active = false}).blur(function(){active = true});
			function iframe_time() {
			  if (t > 0) {
				t--;
				tg++;
				var tge = tg*tgs;
				$('#timer').html('<div class="frameoptomizator"><div  class="progress" style="width: 200px; height: 10px;"><div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuenow="'+tg+'" aria-valuemin="0" aria-valuemax="<?=$serf_timer?>" style="width: '+tge+'%;" ></div></div><div class="framefix">ждем <b>'+t+' </b>секунд</div></div>').addClass('t_active');
				$('#capcha').fadeIn();
			  } else
			  if (t == 0) {
				clearInterval(tm);
				serf_ok ();
			  }
			}

			function start_time() {
			  act = setInterval('onactive()', 1000);
			}

			function onactive() {
			  clearInterval(act);
			  tm = setInterval('iframe_time();', 1000);
			  <? unset( $_SESSION['timer_serf'] ); $_SESSION['timer_serf'] = time() + $serf_timer; ?>
			}

			function serf_ok () {
			  $.post('ajax_update.php?func=autoserf_ok', {
				id: <?=( int ) $get_serf_row['id']?>,
			  }, function(data) {
				if (data.ok == 1) {
				  location.reload();
				} else {
				  location.reload();
				}
			  }, 'json');
			  return false;
			}
			
			function block_url() {
			  $.post('ajax_update.php?func=autoserf_block_url', {
			  id: <?=( int ) $get_serf_row['id']?>
			  }, function(data) {
				if (data == 1) {
				  location.reload();
				}
			  });
			  return false;
			}
		  </script>
		</head>
		<style type="text/css">
		  body {
			padding: 0px;
			margin: 0px;
			height: 100%;
			overflow: hidden;
			font-family: Tahoma;
		  }
		  #timer {
			position: relative;
			height: 60px;
			width: 250px;
			padding-left: 40px;
			padding-top: 3px;
			display: inline-block;
			line-height: 60px;
			font-size: 14px;
		  }
		</style>
		<body onload="start_time();">
		  <iframe src="<?=$dyn_url?>" width="100%" id="framesite" frameborder="0" scrolling="yes" name="framesite"></iframe>
		  <div class="serf_top_panel">
			<table border="0" cellpadding="0" cellspacing="0" id="capcha" class="">
			  <tr>
				<td >
				  <div id="timer" style="display: ;"><i class="fa fa-spinner fa-spin" aria-hidden="true"></i> Подождите, сайт загружается...</div>
				</td>
				<td>
				  <img src="https://<?=$config_site['site_url']?>/theme/images/serf_frame_line.png" class="serf_frame_line" />
				</td>
				<td style="font-size: 14px;">
				  Стоимость просмотра: <?=$stymer * $config['factor']?> <? echo iconv('windows-1251','UTF-8',$config['valutaname']); ?><br>
				  Просмотрено ссылок сегодня: <?=$config_user['autoserf_kolvo']?><br>
				  Заработано сегодня <?=$config_user['autoserf_sum']?> <? echo iconv('windows-1251','UTF-8',$config['valutaname']); ?>
				</td>
				<td>
				  <img src="https://<?=$config_site['site_url']?>/theme/images/serf_frame_line.png" class="serf_frame_line" />
				</td>
				<td class="hidden-lg-down" style="font-size: 14px;">
				  Описание: <? echo iconv('windows-1251','UTF-8',$get_serf_row['title']); ?><br>
				  Адрес сайта: <a href="<?=$get_serf_row['url']?>" target="_blank"><?=$get_serf_row['url']?></a>
				</td>
				<td class="hidden-lg-down">
				  <img src="https://<?=$config_site['site_url']?>/theme/images/serf_frame_line.png" class="serf_frame_line" />
				</td>
				<td >
				  <div class="bittin_stabilizator">
					<a href="<?=$get_serf_row['url']?>" target="_blank"><button type="button" class="btn btn-primary btn-sm">Открыть ссылку в новом окне</button></a><br/>
					<div class="serf_frame_button_line"></div>
					<button type="button" class="btn btn-danger btn-sm" onclick="block_url(); return false;">Заблокировать ссылку</button>
				  </div>
				</td>	
			  </tr>
			</table>
		  </div>
		</body>
	</html>
<? } ?>